LINUX.ORG.RU

Где качнуть зеркало кэша вендокомпонентов для winetricks?

 , ,


0

1

Давно обнаружил, что являюсь обладателем нескольких красивых дисков с галограммами и с вендой на них, и недавно задался вопросом, а как мне реализовать полученные права на венду более удобно, чем раньше.

Как выяснилось Microsoft Аутглюк 2010 прекрасно работает под Wine и поэтому надобность в вендо зонде VirtualBox v5 пропала.

Но вот с установкой dotnet45 и выше возникают трудности в виде несовпадения их чексумм, скачиваемых из инета, причем в независимости от страны провайдера закачки.

Временно отключил проверку чексумм в winetricks, но как то это кривовасто.

Качнуть бы где-нибудь полный кэш трюков 2017-2018 годов с правильными чексуммами.

Ответ на: комментарий от Kron4ek

Запускаю старую версию far.exe (типа midnight commander) нормально.

Из нее пытаюсь запустить новый far.exe и получаю такое:

002b:fixme:exec:SHELL_execute flags ignored: 0x00000100
0038:err:winediag:schan_imp_init Failed to load libgnutls, secure connections wil
0038:fixme:heap:RtlSetHeapInformation 0x110000 0 0x33f898 4 stub
0038:fixme:console:SetConsoleKeyShortcuts : (1 8 (nil) 0) stub!
0039:fixme:kernelbase:AppPolicyGetThreadInitializationType 0xfffffffa, 0x97fea0
0039:fixme:win:RegisterPowerSettingNotification (0x10094,{a7ad8041-b45a-4cae-87a3
0038:fixme:ntdll:NtLockFile I/O completion on lock not implemented yet


И первый Far вылетает тоже.

Как это можно исправить?

sanyock ★★ ()
Ответ на: комментарий от sanyock

Ты хэш проверил? Совпадает?

А насчет ошибки не знаю, тут только fixme и одна ошибка gnutls, но она вряд ли на запуск влияет.

Kron4ek ★★★★★ ()
Ответ на: комментарий от sanyock

Если тебе нужен именно FAR, то во-первых, есть весрия FAR для Linux.

А во-вторых, тебе не подойдёт Midnight Commander?

anonymous ()
Ответ на: комментарий от Kron4ek

Хэш по твоей ссылке совпадает, но winetricks пытался качать из разных мест, нигде не удавалось, и я вручную находил с другим hash именно это файл, если не ошибаюсь.

А бывает и winetricks сам скачивает и все равно ругается на хэш.

Чето у меня не получается запустить Proxy Searcher 5.1 под WINE.
Кому-нибудь удавалось?

Он просит Dotnet >= 4.5

Пробовал dotnet 452, 462, 472

Везде ставится нормально, но после запуска не появляется.
Другие DotNet с GUI проги тоже не работают кроме совсем старых, но консольные DotNet программы работают нормально.

Как это можно исправить?
Помню, раньше без проблем запускал в WINE навороченный пакет DevExpress DXperience со всеми примерами, а щас даже простую фигнюшку не получается. Хотя то было наверно в dotnet4.

Знать бы хорошую комбинацию версии wine + набор tricks для dotnet >= 452.

sanyock ★★ ()
Ответ на: комментарий от anonymous

Midnight не подойдет, нужны плагины Far.

Под линь вроде бы только Far v2? А v3 нету?
И плагины же наверно не подходят к нему?

Кроме того мне удобно запускать вендо проги из Far, который уже под WINE.

sanyock ★★ ()
Ответ на: комментарий от anonymous

Через winetricks dotnet 4.5 и выше поставится только на 32 битный префикс WINE.

На него и пробовал разные последние версии веток 1,2,3,4 из PlayOnLinux.

Ставь dotnet46.

462 ?

sanyock ★★ ()
Ответ на: комментарий от Kron4ek

А Wine Mono пробовал ставить? Иногда его бывает достаточно в качестве замены dotnet.

Ставить вроде бы пробовал, а использовать наврядли.

А WINE Mono чем то отличается от обычного Mono под венду?
Т.е. наверно можно установить в WINE последнюю версию вендового Mono?

sanyock ★★ ()
Ответ на: комментарий от sanyock

При запуске под strace:

000b:fixme:winediag:start_process Wine Staging 4.0 is a testing version containing experimental patches.
000b:fixme:winediag:start_process Please mention your exact version when filing bug reports on winehq.org.
0025:err:plugplay:handle_bus_relations No matching driver found for device
0025:err:plugplay:handle_bus_relations No matching driver found for device
0025:err:plugplay:handle_bus_relations No matching driver found for device
0025:err:plugplay:handle_bus_relations No matching driver found for device
0025:err:plugplay:handle_bus_relations No matching driver found for device
0025:err:plugplay:handle_bus_relations No matching driver found for device
0025:err:plugplay:handle_bus_relations No matching driver found for device
0025:err:plugplay:handle_bus_relations No matching driver found for device
0025:err:plugplay:try_add_device Building report descriptor failed, removing device
0025:err:plugplay:handle_bus_relations No matching driver found for device
0025:err:plugplay:handle_bus_relations No matching driver found for device
0025:err:plugplay:try_add_device Building report descriptor failed, removing device
002c:err:winediag:schan_imp_init Failed to load libgnutls, secure connections will not be available.
002c:fixme:heap:RtlSetHeapInformation 0x110000 0 0x33f898 4 stub
002c:fixme:console:SetConsoleKeyShortcuts : (1 8 (nil) 0) stub!
002d:fixme:kernelbase:AppPolicyGetThreadInitializationType 0xfffffffa, 0x97fea0
002d:fixme:win:RegisterPowerSettingNotification (0x10076,{a7ad8041-b45a-4cae-87a3-eecbb468a9e1},0): stub
002c:fixme:ntdll:NtLockFile I/O completion on lock not implemented yet
wineserver crashed, please enable coredumps (ulimit -c unlimited) and restart.

sanyock ★★ ()
Ответ на: комментарий от sanyock

А WINE Mono чем то отличается от обычного Mono под венду?

Не знаю, просто при создании/обновлении префикса вылазит окно с предложением установки Mono.

Кстати, Proxy Searcher 5.1 у меня запустился после установки dotnet45. С Mono не запустился.

Far 3 тоже работает. Только нужно запускать с параметром /w-:

wineconsole Far.exe /w-

Kron4ek ★★★★★ ()
Ответ на: комментарий от sanyock
w_workaround_wine_bug-34803
remove_mono
w_workaround_wine_bug-34803
remove_mono
winxp
dotnet40
dotnet45

Это то, что winetricks сам поставил при установке dotnet45.

Kron4ek ★★★★★ ()
Ответ на: комментарий от Kron4ek

А у меня в одном из instance (bottle):


allfonts
andale
arial
baekmuk
calibri
cambria
candara
comicsans
consolas
constantia
corbel
corefonts
courier
dotnet40
dotnet45
dotnet46
dotnet461
dotnet462
dotnet472
droid
eufonts
gdiplus
georgia
impact
ipamona
liberation
lucida
meiryo
msls31
msxml3
opensymbol
remove_mono
remove_mono
remove_mono
remove_mono
remove_mono
remove_mono
riched20
riched30
tahoma
takao
times
trebuchet
uff
unifont
vb6run
vcrun2003
vcrun2005
vcrun2008
vcrun6sp6
verdana
vlgothic
webdings
wenquanyi
winxp
wsh57
w_workaround_wine_bug-26925
w_workaround_wine_bug-34803
w_workaround_wine_bug-34803
w_workaround_wine_bug-34803
w_workaround_wine_bug-34803
w_workaround_wine_bug-34803
w_workaround_wine_bug-34803
w_workaround_wine_bug-38959
w_workaround_wine_bug-42170


sanyock ★★ ()
Ответ на: комментарий от sanyock

Многовато у тебя всего, все это лишнее, полагаю, создай новый префикс. Для Proxy Searcher достаточно только dotnet45, а для Far вообще ничего не надо.

Kron4ek ★★★★★ ()
Ответ на: комментарий от Kron4ek

В instance для Far у меня:

w_workaround_wine_bug-34803
remove_mono                                                     
w_workaround_wine_bug-34803                                     
remove_mono                                                     
winxp  

sanyock ★★ ()
Ответ на: комментарий от Kron4ek

Теперь у меня такой же набор установленных компонентов, но ProxySearcher не показывает свой GUI. Стоит драйвер VESA и отключены все обновления firmware. Установлены какие-то GL либы и даже работает glxgears, т.е. крутит свои шестеренки, наверно софтовый OpenGL. Наверно WPF хочет более лучшей поддержки 3D?

0095:fixme:driver:GdiEntry13 stub
libGL error: unable to load driver: swrast_dri.so
libGL error: failed to load driver: swrast
X Error of failed request:  BadValue (integer parameter out of range for operation)
  Major opcode of failed request:  154 (GLX)
  Minor opcode of failed request:  3 (X_GLXCreateContext)
  Value in failed request:  0x0
  Serial number of failed request:  194
  Current serial number in output stream:  198

sanyock ★★ ()
Последнее исправление: sanyock (всего исправлений: 2)
Ответ на: комментарий от sanyock

Ну и да, похоже ему зачем-то нужен полноценный OpenGL.

Kron4ek ★★★★★ ()
Ответ на: комментарий от Kron4ek

Нет, вот как раз пытался, но пока не получается из-за зависимостей. Может быть, проще использовать 64битный WINE для DotNet ?

sanyock ★★ ()
Последнее исправление: sanyock (всего исправлений: 1)
Ответ на: комментарий от sanyock

Может быть, проще использовать 64битный WINE для DotNet ?

Насколько я знаю, с 64-битным .NET в Wine проблемы. В любом случае, Proxy Searcher - 32-битный и требует 32-битные зависимости.

Kron4ek ★★★★★ ()
Последнее исправление: Kron4ek (всего исправлений: 1)
Ответ на: комментарий от Kron4ek

Если я правильно понимаю, WINE64 - аналог 64битной венды, в которой есть и 32 бита тоже и в WINE64 есть каталоги с 32 битными либами.

Только вот если запустить 32 битную прогу в WINE64, наверно она задействует 32битные либы WINE, а они в свою очередь все равно захотят 32 битные либы GL.

sanyock ★★ ()
Ответ на: комментарий от sanyock

Только вот если запустить 32 битную прогу в WINE64, наверно она задействует 32битные либы WINE, а они в свою очередь все равно захотят 32 битные либы GL.

Да, именно так.

Kron4ek ★★★★★ ()
Ответ на: комментарий от Kron4ek

Но получается вот так:

apt-get install libdrm-nouveau2:i386

Reading package lists... Done
Building dependency tree       
Reading state information... Done

The following packages will be REMOVED:
  libalien-wxwidgets-perl libdrm-dev libdrm-nouveau2 libgl1-mesa-dev libgl1-mesa-dri libglu1-mesa-dev libqt4-opengl-dev
  libqt5opengl5-dev libwx-perl libwx-perl-processstream-perl libwx-scintilla-perl libwxgtk-media3.0-dev libwxgtk3.0-dev
  libxatracker2 mesa-common-dev padre qt5-default qtbase5-dev xserver-xorg-video-vmware

The following NEW packages will be installed:
  libdrm-nouveau2:i386
0 upgraded, 1 newly installed, 19 to remove and 42 not upgraded.
Need to get 23.2 kB of archives.
After this operation, 63.4 MB disk space will be freed.
Do you want to continue? [Y/n] ^C


Я не хочу, чтобы удалялись 64 битны либы OpenGL и
padre qt5-default qtbase5-dev

Что делать?

Нельзя ли как-то обойтись без libdrm-nouveau2?

--force или отредактировать зависимости?

У меня ведь не используется драйвер nouveau2.

sanyock ★★ ()
Ответ на: комментарий от sanyock

apt-get install libgl1-mesa-dri:i386

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 libgl1-mesa-dri:i386 : Depends: libdrm-nouveau2:i386 (>= 2.4.38) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

sanyock ★★ ()
Ответ на: комментарий от sanyock

Установил 32битные либы вместо 64битных, ProxySearcher заработал, но многие другие DotNet проги не работают,

Например IllSpy не работает.
Можешь, пожалуйста, проверить, работает ли IllSpy у тебя?

sanyock ★★ ()
Ответ на: комментарий от sanyock

Можешь, пожалуйста, проверить, работает ли IllSpy у тебя?

Завтра проверю, напишу.

Kron4ek ★★★★★ ()
Ответ на: комментарий от Kron4ek

Большое спасибо,

Можно узнать версию и дистрибутив линукса?
Источник WINE - репозитарий или PlayOnLinux?

А почему задвоение и затроение записей типа:

w_workaround_wine_bug-34803
remove_mono

?

sanyock ★★ ()
Ответ на: комментарий от sanyock

Можно узнать версию и дистрибутив линукса? Источник WINE - репозитарий или PlayOnLinux?

Дистрибутив - Arch Linux. Wine из репозитория.

А почему задвоение и затроение записей типа:

Не знаю, видимо winetricks по несколько раз применяет одни и те же фиксы, у меня не самая последняя версия.

Kron4ek ★★★★★ ()
Последнее исправление: Kron4ek (всего исправлений: 1)
Ответ на: комментарий от Kron4ek

А можно где-то найти полный список пакетов, которые надо установить в Debian подобной системе, чтобы работал WINE v4?

А то в PlayOnLinux вайны ставятся без пакетных зависимостей и например, WINE v4 неожиданно во время работы затребовал новую либу libpng из следующего релиза Devuan.

Как то бы вычислить все такие пакеты и поставить их разом.

Есть ли где-то пакеты последних вайнов типа v4 под Debian/Devuan Jessie ?
Они бы показали все зависимости.

sanyock ★★ ()
Ответ на: комментарий от sanyock

Как то бы вычислить все такие пакеты и поставить их разом.

Обычно достатчно поставить Wine из репозитория, тогда большинство нужных пакетов устанавливаются.

Остальные библиотеки можно посмотреть, выполнив в каталоге wine/lib/wine:

ldd *.so | grep not
Но это покажет только имена библиотек, названия пакетов тебе придется самому искать.

Есть ли где-то пакеты последних вайнов типа v4 под Debian/Devuan Jessie ?

Есть в репозитории WineHQ.

Kron4ek ★★★★★ ()
Последнее исправление: Kron4ek (всего исправлений: 2)
Ответ на: комментарий от sanyock

Оказывается, есть много игровых LiveCD с WINE и играми под DotNet

sanyock ★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.